Loading...
Searching...
No Matches
XrdClOperationHandlers.hh File Reference
`#include "XrdCl/XrdClFile.hh"`
`#include "XrdCl/XrdClCtx.hh"`
`#include <functional>`
`#include <future>`
`#include <memory>`
Include dependency graph for XrdClOperationHandlers.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | XrdCl::ExOpenFuncWrapper
| Lambda wrapper. More...
class | XrdCl::FunctionWrapper< Response >
class | XrdCl::FunctionWrapper< void >
class | XrdCl::FutureWrapper< Response >
class | XrdCl::FutureWrapper< void >
| A wrapper handler for a std::promise / std::future, overload for void type. More...
class | XrdCl::FutureWrapperBase< Response >
struct | XrdCl::NullRef< Response >
class | XrdCl::PipelineException
| Pipeline exception, wrapps an XRootDStatus. More...
class | XrdCl::RawWrapper
| Wrapper class for raw response handler (ResponseHandler). More...
struct | XrdCl::Resp< Response >
struct | XrdCl::Resp< void >
struct | XrdCl::RespBase< Response >
class | XrdCl::TaskWrapper< Response, Return >
class | XrdCl::TaskWrapper< void, Return >
class | XrdCl::UnpackXAttr
| Helper class for unpacking single XAttr from bulk response. More...
class | XrdCl::UnpackXAttrStatus
| Helper class for unpacking single XAttrStatus from bulk response. More...

## Namespaces

namespace | XrdCl

## Functions

template<typename Response>
Response * | XrdCl::GetResponse (AnyObject *rsp)
template<typename Response>
Response * | XrdCl::GetResponse (XRootDStatus *status, AnyObject *rsp)

## Variables

template<typename Response>
Response | XrdCl::NullRef< Response >::value